# This is the main configuration file for the application.
# ~~~~~
#
application.name=Chat

# Application mode
# ~~~~~
# Set to dev to enable instant reloading and other development help.
# Otherwise set to prod.
#
application.mode=dev

# Secret key
# ~~~~~
# The secret key is used to secure cryptographics functions
# If you deploy your application to several instances be sure to use the same key !
#
application.secret=uawrvw0bw2hcl166ae6twuwsezwy6onoq61jb6ky51d6hvjw48vs3itf6nsdlo1c

# Additional modules
# ~~~~~
# A module is another play! application. Add a line for each module you want
# to add to your application. Modules path are either absolutes or relative to
# the application root.
#
#module.ecss=${play.path}/modules/ecss
module.crud=${play.path}/modules/crud
module.secure=${play.path}/modules/secure
module.greenscript=../..

# i18n
# ~~~~~
# Define locales used by your application.
# You can then place localized messages in conf/messages.{locale} files
#
# application.langs=fr,en,ja

# Server configuration
# ~~~~~
# If you need to change the HTTP port, uncomment this (default is set to 9000)
#
# http.port=9000

# JPDA configuration
# ~~~~~
# Define which port is used by JPDA when application is in debug mode (default is set to 8000)
#
# jpda.port=8000

# Log level
# ~~~~~
# Specify log level for your application.
# If you want a very customized log, create a log4j.properties file in the conf directory
#
# application.log=INFO

# Database configuration
# ~~~~~ 
# Enable a database engine if needed.
# There are two built in values :
#   - mem : for a transient in memory database (HSQL in memory)
#   - fs  : for a simple file written database (HSQL file stored)
#
db=mem
#
# If you need a full jdbc configuration use the following :
#
# db.url=jdbc:mysql://localhost/test
# db.driver=com.mysql.jdbc.Driver
# db.user=root
# db.pass=
#
# Connections pool configuration :
#
# db.pool.timeout=1000
# db.pool.maxSize=30
# db.pool.minSize=10

# JPA Configuration (hibernate)
# ~~~~~
#
# Specify the custom JPA dialect to use here (default to guess) :
# jpa.dialect=org.hibernate.dialect.MySQLDialect
#
# Specify the ddl generation pattern to use (default to update) :
# jpa.ddl=update
#
# Debug SQL statements :
# jpa.debugSQL=true

# Memcached configuration
# ~~~~~ 
# Enable memcached if needed. Otherwise a local cache is used.
# memcached=enabled
#
# Specify memcached host (default to 127.0.0.1:11211)
# memcached.host=127.0.0.1:11211
#
# Or you can specify multiple host to build a distributed cache
# memcached.1.host=127.0.0.1:11211
# memcached.2.host=127.0.0.1:11212

# Mail configuration
# ~~~~~ 
# Default is to use a mock Mailer
mail.smtp=mock

# Or, specify mail host configuration
# mail.smtp.host=127.0.0.1
# mail.smtp.user=admin
# mail.smtp.pass=
# mail.smtp.channel=ssl

# Open file from errors pages
# ~~~~~
# If your text editor supports to open files using URL, Play! will link
# error pages to files dynamically
#
# play.editor=txmt://open?url=file://%s&line=%s


# Testing. Set up a custom configuration for test mode
# ~~~~~
%test.application.mode=dev
%test.db=mem
%test.jpa.ddl=create-drop
%test.mail.smtp=mock
